#pragma once
#include "RtMidi.h"
#include <iostream>
#include <QObject>

class MidiListener: public QObject{
    Q_OBJECT
    RtMidiIn * midiin;
public:
    ~MidiListener();
public slots:
    void start(int Port = 0);
    void listen();
    void stop();
signals:
    void newMidiMessage(int b1, int b2, int b3);
};
